Subject: Re: [PATCH] Tidy up some rev-list-related stuff

From: Jon Seymour <[email-masked]>
Date: Thu, 9 Jun 2005 19:57:45 +1000

> Speaking of which, I can't emacs to indent properly even when I use
> this suggestion from that document:
> 
>     (defun linux-c-mode ()
>       "C mode with adjusted defaults for use with the Linux kernel."
>       (interactive)
>       (c-mode)
>       (c-set-style "K&R")
>       (setq tab-width 8)
>       (setq indent-tabs-mode t)
>       (setq c-basic-offset 8))
> 
>     This will define the M-x linux-c-mode command.  When hacking on a
>     module, if you put the string -*- linux-c -*- somewhere on the first
>     two lines, this mode will be automatically invoked. Also, you may want
>     to add
> 
>     (setq auto-mode-alist (cons '("/home/jon/.*/.*\\.[ch]$" . linux-c-mode)
>                             auto-mode-alist))
> 

Actually, these instructions do work for me. An earlier version of the
instructions I pulled from a google hit didn't work.

jon.